jQuery(document).ready( function($) {

// **************************************************************
//  change meta key
// **************************************************************

	$('input#pmm-change').click(function(event) {
	
		$('input#pmm-change .btn-clear').css('visibility', 'visible');
		$('div#message').remove();

		// get the values
		var key_old	= $('#meta_key_old').prop('value');
		var key_new	= $('#meta_key_new').prop('value');
	
		var data = {
			action: 'key_change',
			key_old: key_old,
			key_new: key_new
		};

		jQuery.post(ajaxurl, data, function(response) {
			var obj;

			try {
				obj = jQuery.parseJSON(response);
			}
			catch(e) {
				$('input#pmm-change .btn-clear').css('visibility', 'hidden');
				$('div#wpbody h2:first').after('<div id="message" class="error below-h2"><p>There was an error. Please try again.</p></div>');
			}

			if(obj.success === true) {
				$('input#pmm-change .btn-clear').css('visibility', 'hidden');
				$('input.meta_key_field').val('');
				$('div#wpbody h2:first').after('<div id="message" class="updated below-h2"><p>' + obj.message + '</p></div>');
			}

			else if(obj.success === false && obj.process == 'NO_KEYS') {
				$('input#pmm-change .btn-clear').css('visibility', 'hidden');
				$('span#key_old_text').after('<div id="message" class="error"><p>' + obj.message + '</p></div>');
				$('span#key_new_text').after('<div id="message" class="error"><p>' + obj.message + '</p></div>');
			}
			else if(obj.success === false && obj.process == 'NO_KEY_OLD') {
				$('input#pmm-change .btn-clear').css('visibility', 'hidden');
				$('span#key_old_text').after('<div id="message" class="error"><p>' + obj.message + '</p></div>');
			}
			else if(obj.success === false && obj.process == 'NO_KEY_NEW') {
				$('input#pmm-change .btn-clear').css('visibility', 'hidden');
				$('span#key_new_text').after('<div id="message" class="error"><p>' + obj.message + '</p></div>');
			}
			else {
				$('input#pmm-change .btn-clear').css('visibility', 'hidden');
				$('div#wpbody h2:first').after('<div id="message" class="error below-h2"><p>There was an error. Please try again.</p></div>');
			}
		});
	});

// **************************************************************
//  delete meta key
// **************************************************************

	$('input#pmm-remove').click(function(event) {
	
		$('input#pmm-remove .btn-clear').css('visibility', 'visible');
		$('div#message').remove();

		// get the values
		var key_kill	= $('#meta_key_kill').prop('value');
	
		var data = {
			action: 'key_delete',
			key_kill: key_kill
		};

		jQuery.post(ajaxurl, data, function(response) {
			var obj;

			try {
				obj = jQuery.parseJSON(response);
			}
			catch(e) {
				$('input#pmm-remove .btn-clear').css('visibility', 'hidden');
				$('div#wpbody h2:first').after('<div id="message" class="error below-h2"><p>There was an error. Please try again.</p></div>');
			}

			if(obj.success === true) {
				$('input#pmm-remove .btn-clear').css('visibility', 'hidden');
				$('input.meta_key_field').val('');
				$('div#wpbody h2:first').after('<div id="message" class="updated below-h2"><p>' + obj.message + '</p></div>');
			}

			else if(obj.success === false && obj.process == 'NO_KEY_ENTERED') {
				$('input#pmm-remove .btn-clear').css('visibility', 'hidden');
				$('span#key_kill_text').after('<div id="message" class="error"><p>' + obj.message + '</p></div>');
			}

			else if(obj.success === false && obj.process == 'NO_KEYS_FOUND') {
				$('input#pmm-remove .btn-clear').css('visibility', 'hidden');
				$('div#wpbody h2:first').after('<div id="message" class="error"><p>' + obj.message + '</p></div>');
			}

			else {
				$('input#pmm-remove .btn-clear').css('visibility', 'hidden');
				$('div#wpbody h2:first').after('<div id="message" class="error below-h2"><p>There was an error. Please try again.</p></div>');
			}
		});
	});

// **************************************************************
//  what, you're still here? it's over. go home.
// **************************************************************

});